package com.lqkj.info.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 设备信息对象 equipment_info
 * 
 * @author lqkj
 * @date 2024-11-12
 */
public class EquipmentInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备id */
    private Integer equipmentId;

    /** 类别id */
    private Integer typeId;

    /** 房间编号 */
    @Excel(name = "房间编号")
    private Integer roomId;

    /** 大楼编号 */
    @Excel(name = "大楼编号")
    private Integer buildingId;

    /** 区域id */
    @Excel(name = "区域id")
    private Integer areaId;

    /** 名称 */
    @Excel(name = "名称")
    private String equipmentName;

    /** 二维坐标 */
    @Excel(name = "二维坐标")
    private String lngLat;

    /** 三维坐标 */
    @Excel(name = "三维坐标")
    private String rasterLngLat;

    /** 类型 */
    @Excel(name = "类型")
    private String typeName;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    public void setEquipmentId(Integer equipmentId) 
    {
        this.equipmentId = equipmentId;
    }

    public Integer getEquipmentId() 
    {
        return equipmentId;
    }
    public void setTypeId(Integer typeId) 
    {
        this.typeId = typeId;
    }

    public Integer getTypeId() 
    {
        return typeId;
    }
    public void setRoomId(Integer roomId) 
    {
        this.roomId = roomId;
    }

    public Integer getRoomId() 
    {
        return roomId;
    }
    public void setBuildingId(Integer buildingId) 
    {
        this.buildingId = buildingId;
    }

    public Integer getBuildingId() 
    {
        return buildingId;
    }
    public void setAreaId(Integer areaId) 
    {
        this.areaId = areaId;
    }

    public Integer getAreaId() 
    {
        return areaId;
    }
    public void setEquipmentName(String equipmentName) 
    {
        this.equipmentName = equipmentName;
    }

    public String getEquipmentName() 
    {
        return equipmentName;
    }
    public void setLngLat(String lngLat) 
    {
        this.lngLat = lngLat;
    }

    public String getLngLat()
    {
        return lngLat;
    }
    public void setRasterLngLat(String rasterLngLat) 
    {
        this.rasterLngLat = rasterLngLat;
    }

    public String getRasterLngLat()
    {
        return rasterLngLat;
    }
    public void setTypeName(String typeName) 
    {
        this.typeName = typeName;
    }

    public String getTypeName() 
    {
        return typeName;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("equipmentId", getEquipmentId())
            .append("typeId", getTypeId())
            .append("roomId", getRoomId())
            .append("buildingId", getBuildingId())
            .append("areaId", getAreaId())
            .append("equipmentName", getEquipmentName())
            .append("lngLat", getLngLat())
            .append("rasterLngLat", getRasterLngLat())
            .append("typeName", getTypeName())
            .append("status", getStatus())
            .toString();
    }
}